package com.ruoyi.system.domain.visitor;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 访客车辆登记对象 visitor_records
 * 
 * @author boman
 * @date 2025-02-14
 */
public class VisitorRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 访客车辆登记主键 */
    private Long visitorRecordsId;

    /** 车牌号码（含汉字/字母/数字） */
    @Excel(name = "车牌号码", readConverterExp = "含=汉字/字母/数字")
    private String plateNumber;

    /** 门户id */
    @Excel(name = "门户id")
    private Long portalId;

    /** 来访门户/访问位置 */
    @Excel(name = "来访门户/访问位置")
    private String visitPortal;

    /** 来访人员手机号码（支持国际格式） */
    @Excel(name = "来访人员手机号码", readConverterExp = "支=持国际格式")
    private String mobileNumber;

    /** 来访人员姓名 */
    @Excel(name = "来访人员姓名")
    private String visitName;

    public void setVisitorRecordsId(Long visitorRecordsId) 
    {
        this.visitorRecordsId = visitorRecordsId;
    }

    public Long getVisitorRecordsId() 
    {
        return visitorRecordsId;
    }
    public void setPlateNumber(String plateNumber) 
    {
        this.plateNumber = plateNumber;
    }

    public String getPlateNumber() 
    {
        return plateNumber;
    }
    public void setPortalId(Long portalId) 
    {
        this.portalId = portalId;
    }

    public Long getPortalId() 
    {
        return portalId;
    }
    public void setVisitPortal(String visitPortal) 
    {
        this.visitPortal = visitPortal;
    }

    public String getVisitPortal() 
    {
        return visitPortal;
    }
    public void setMobileNumber(String mobileNumber) 
    {
        this.mobileNumber = mobileNumber;
    }

    public String getMobileNumber() 
    {
        return mobileNumber;
    }
    public void setVisitName(String visitName) 
    {
        this.visitName = visitName;
    }

    public String getVisitName() 
    {
        return visitName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("visitorRecordsId", getVisitorRecordsId())
            .append("plateNumber", getPlateNumber())
            .append("portalId", getPortalId())
            .append("visitPortal", getVisitPortal())
            .append("mobileNumber", getMobileNumber())
            .append("visitName", getVisitName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
